鱼头 wrote:
> I have just update SCA_SDO package to 1.2.0 by excute "pecl install -B
> SCA_SDO" in cmd.
> However, I encounter some problem when run the example
> "SCAComponentUsingDataStructures".I got the message like this:
> 
> Warning: Wrong parameter count for SDO_DAS_XML::create() in D:\Program
> Files\wamp\php\PEAR\SCA\Bindings\soap\ServiceDescriptionGenerator.php
> on line 67
> 
> How should I handle this?

The updated package has a dependency on a signature change for 
SDO_DAS_XML::create() in the 1.2.0 version of the sdo extension 
(php_sdo.dll), but it looks like you haven't updated this. You can check 
the SDO version number in your phpinfo(). If it's not 1.2.0, download 
the latest from pecl4win and you should be OK.

There is an SDO release level check in the SCA code 
(SCA_Helper::checkSdoExtensionLoaded()), but it seems this wasn't 
updated to reflect the dependency on 1.2.0. We'll fix this in the 
upcoming 1.2.1 release, so it will be clearer what the problem is.


--~--~---------~--~----~------------~-------~--~----~
You received this message because you are subscribed to the Google Groups 
"phpsoa" group.
To post to this group, send email to phpsoa@googlegroups.com
To unsubscribe from this group, send email to [EMAIL PROTECTED]
For more options, visit this group at 
http://groups.google.co.uk/group/phpsoa?hl=en
-~----------~----~----~----~------~----~------~--~---

Reply via email to